Subject: bug in w32api? (was: Re: Missing ntdll.dll export with perl 5.8.6 om Win9x)
From: "Gerrit P. Haase" <[email-masked]>
To: Jacek Piskozub <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Jan 2005 21:27:21 +0100

Jacek Piskozub wrote:
> After updating to perl 5.8.6-1 I got an missing ntdll.dll export error. 
> Because I use Windows Me, I do not obviously have any ntdll.dll. It 
> seems the new perl was compiled for WindowsNT/2k/Xp only.

A bug in w32api?

What says cygcheck for you?

Please note that on NT ntdll.dll looks up always:
$ cygcheck /usr/bin/cygwin1.dll
H:/bin/cygwin1.dll
   C:\WINNT\System32\ADVAPI32.DLL
     C:\WINNT\System32\ntdll.dll
     C:\WINNT\System32\KERNEL32.dll
     C:\WINNT\System32\USER32.dll
       C:\WINNT\System32\GDI32.dll
     C:\WINNT\System32\RPCRT4.dll

Mine is:
$ cygcheck usr/bin/cygperl5_8.dll
usr/bin/cygperl5_8.dll
   H:\bin\cygcrypt-0.dll
     H:\bin\cygwin1.dll
       C:\WINNT\System32\ADVAPI32.DLL
         C:\WINNT\System32\ntdll.dll
         C:\WINNT\System32\KERNEL32.dll
         C:\WINNT\System32\USER32.dll
           C:\WINNT\System32\GDI32.dll
         C:\WINNT\System32\RPCRT4.dll

$ cygcheck usr/bin/perl.exe
usr/bin/perl.exe
   usr/bin\cygperl5_8.dll
     H:\bin\cygcrypt-0.dll
       H:\bin\cygwin1.dll
         C:\WINNT\System32\ADVAPI32.DLL
           C:\WINNT\System32\ntdll.dll
           C:\WINNT\System32\KERNEL32.dll
           C:\WINNT\System32\USER32.dll
             C:\WINNT\System32\GDI32.dll
           C:\WINNT\System32\RPCRT4.dll

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/